Package Details: r8168-dkms 8.045.08-3

Git Clone URL: https://aur.archlinux.org/r8168-dkms.git (read-only)
Package Base: r8168-dkms
Description: A kernel module for Realtek 8168 network cards
Upstream URL: http://www.realtek.com.tw
Licenses: GPL
Conflicts: r8168
Submitter: angelsl
Maintainer: alium
Last Packager: alium
Votes: 8
Popularity: 0.000085
First Submitted: 2015-10-26 16:00
Last Updated: 2017-12-27 15:25

Latest Comments

alium commented on 2017-12-27 15:26

@DgDev91: Patch updated, thanks!

DgDev91 commented on 2017-12-27 15:09

Patch updated. it doesn't really change anything, it's a simple code cleanup.

My patch was a bit "dirty", as i said in the last post, now a kind developer (angelsl on github) showed me the proper way to fix it.

Here's the updated patch: https://pastebin.com/Q6uQmMhE

alium commented on 2017-12-23 08:43

@DGdev91: adapted, used your patch! Thans a lot!

DgDev91 commented on 2017-12-23 00:40

This works no more on Linux 4.15, because the code calls the setup_timer function, wich was dropped not too much time ago https://github.com/torvalds/linux/commit/513ae785c63c30741e46f43960213d4ae5382ec0#diff-ba8897e9349509c7ca4d37b0704bee9c

I've tried to adapt it for the new kernel, you can find my version here. https://github.com/DGdev91/r8168/commit/bc248cd63115388d76d15e1c5ac8ac2f74a2dc25 There's probably a cleaner way to achieve this, but at least it works.

I've also created a pull request on mtorromeo's repo, wich is in the pkgbuild. (it's there just in case someone is seeking for a way to run this on kernel 4.15+, i know he doesn't accept patches, it's supposed to be just a mirror)

Here the patch https://pastebin.com/sCcpUqUu

alium commented on 2017-02-13 11:50

adopted und updated!

wangjiezhe commented on 2016-08-22 06:36

It breaks for linux-lts 4.4.19-1, which is caused by linux-4.5.patch.

Here is a patch that works:
https://gist.github.com/wangjiezhe/c96211fe4ed95bf633366b314eafe504

j1simon commented on 2016-08-17 17:06

The patch has several conditions: "#if LINUX_VERSION_CODE < KERNEL_VERSION(4,7,0)" to change the code. It shouldn't affect to previous kernels.

angelsl commented on 2016-08-17 10:14

@clfarron4

Why would it break everything before 4.7? It's just some preprocessor directives to alter the code for 4.7.

clfarron4 commented on 2016-08-17 10:08

Dear all: @ozmartian's patch works for 4.7 but breaks for everything before 4.7, so we're at a bit of an impasse here.

Should we create a package for pre-4.7?

ozmartian commented on 2016-08-12 05:07

hi guys... here is the working patch file to get this working on 4.7

linux-4.7.patch

https://gist.github.com/ozmartian/698c99ac7b9f4a5e5194f0591cd11ab0

talonz commented on 2016-07-15 22:23

This is the error from the make log if that helps,

$ cat /var/lib/dkms/r8168/8.042/build/make.log
DKMS make.log for r8168-8.042 for kernel 4.7.0-rc7-gfa3a9f574 (x86_64)
Sat Jul 16 08:00:11 AEST 2016
make: Entering directory '/usr/lib/modules/4.7.0-rc7-gfa3a9f574/build'
CC [M] /var/lib/dkms/r8168/8.042/build/src/r8168_n.o
/var/lib/dkms/r8168/8.042/build/src/r8168_n.c: In function ‘rtl8168_init_one’:
/var/lib/dkms/r8168/8.042/build/src/r8168_n.c:22799:28: error: ‘struct net_device’ has no member named ‘gso_min_segs’; did you mean ‘gso_max_segs’?
dev->gso_min_segs = NIC_MIN_PHYS_BUF_COUNT;
^~
/var/lib/dkms/r8168/8.042/build/src/r8168_n.c:22807:28: error: ‘struct net_device’ has no member named ‘gso_min_segs’; did you mean ‘gso_max_segs’?
dev->gso_min_segs = NIC_MIN_PHYS_BUF_COUNT;
^~
/var/lib/dkms/r8168/8.042/build/src/r8168_n.c: In function ‘rtl8168_start_xmit’:
/var/lib/dkms/r8168/8.042/build/src/r8168_n.c:24969:12: error: ‘struct net_device’ has no member named ‘trans_start’; did you mean ‘mem_start’?
dev->trans_start = jiffies;
^~
make[1]: *** [scripts/Makefile.build:290: /var/lib/dkms/r8168/8.042/build/src/r8168_n.o] Error 1
make: *** [Makefile:1457: _module_/var/lib/dkms/r8168/8.042/build/src] Error 2
make: Leaving directory '/usr/lib/modules/4.7.0-rc7-gfa3a9f574/build'


Edit: Resolved by using the r8169 driver module instead .. aparently that works now in linux 4.7

talonz commented on 2016-07-12 00:20

Yeah I do its also a problem on Linux-git

clfarron4 commented on 2016-07-11 16:43

@talonz: Do you have the linux-mainline-headers package installed?

talonz commented on 2016-07-11 06:08

Your kernel headers for kernel cannot be found at
/usr/lib/modules//build or /usr/lib/modules//source.

clfarron4 commented on 2016-07-10 23:55

@talonz: It should just be an build and install and it works. Are you getting any errors when the module is being built?

talonz commented on 2016-07-09 23:31

how do i get dkms to work with the linux-mainline-headers ?

connaisseur commented on 2016-02-07 16:31

Please do a version bump up on to 8.041.00.

Thanks!